std::regex_error(3)

NAME
std::regex_error -

SYNOPSIS

Inherits runtime_error.

  Public Member Functions
regex_error (regex_constants::error_type __ecode)
regex_constants::error_type code () const

Detailed Description

A regular expression exception class.

The regular expression library throws objects of this class on error.

Definition at line 135 of file regex_error.h.

Constructor & Destructor Documentation

  std::regex_error::regex_error (regex_constants::error_type __ecode) [explicit]

Constructs a regex_error object.

Parameters:
    __ecode the regex error code.

Member Function Documentation

  regex_constants::error_type std::regex_error::code () const [inline]

Gets the regex error code.

Returns:
    the regex error code.

Definition at line 156 of file regex_error.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.